## com.baidubce.services.bos.model
Class PartETag

    java.lang.Object
      com.baidubce.services.bos.model.PartETag

    public class PartETag

extends Object

Container for the part number and ETag of an uploaded part. After the part is uploaded to Baidu Bos, this data is used when completing the multipart upload.

Constructor Summary
`PartETag()`
`PartETag(int partNumber, String eTag)` Constructs an instance of PartETag and sets the part number and ETag.

Method Summary
`boolean` `equals(Object obj)`
`String` `getETag()` Returns the entity tag generated from the content of the associated part.
`int` `getPartNumber()` Returns the part number of the associated part.
`int` `hashCode()`
`void` `setETag(String eTag)` Sets the entity tag generated from the content of the associated part.
`void` `setPartNumber(int partNumber)` Sets the part number of the associated part.
`String` `toString()`
`PartETag` `withETag(String eTag)` Sets the entity tag generated from the content of the associated part, and returns this updated PartETag object so that additional method calls can be chained together.
`PartETag` `withPartNumber(int partNumber)` Sets the part number of the associated part, and returns this updated PartETag object so that additional method calls can be chained together.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PartETag

    public PartETag()

### PartETag

    public PartETag(int partNumber,
                    String eTag)

  Constructs an instance of PartETag and sets the part number and ETag.

  Parameters:
    `partNumber` - The part number.
    `eTag` - the associated ETag for the part number.

Method Detail

### getPartNumber

    public int getPartNumber()

  Returns the part number of the associated part.

  Returns:
    the part number of the associated part.

### setPartNumber

    public void setPartNumber(int partNumber)

  Sets the part number of the associated part.

  Parameters:
    `partNumber` - the part number of the associated part.

### withPartNumber

    public PartETag withPartNumber(int partNumber)

  Sets the part number of the associated part, and returns this updated PartETag object so that additional method calls can be chained together.

  Parameters:
    `partNumber` - the part number of the associated part.
  Returns:
    This updated PartETag object.

### getETag

    public String getETag()

  Returns the entity tag generated from the content of the associated part.

  Returns:
    the entity tag generated from the content of the associated part.

### setETag

    public void setETag(String eTag)

  Sets the entity tag generated from the content of the associated part.

  Parameters:
    `eTag` - the entity tag generated from the content of the associated part.

### withETag

    public PartETag withETag(String eTag)

  Sets the entity tag generated from the content of the associated part, and returns this updated PartETag object so that additional method calls can be chained together.

  Parameters:
    `eTag` - the entity tag generated from the content of the associated part.
  Returns:
    This updated PartETag object.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.